<?php

namespace Tests\ContentManage\Http\Controllers;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\UploadedFile;
use Tests\TestCase;

class BookControllerTest extends TestCase
{
    /**
     * A basic feature test example.
     */
    public function test_book_import(): void
    {
    $content = <<<EOT
###第一章 前女友居然会逆袭
大学毕业之后在武汉呆了半年，楚飞终于还是决定去深圳。
之所以会做出这个决定，倒不是因为什么其它什么乱七八糟的理由，简单四个字，人穷志短！
同样是刚刚毕业半年，楚飞现在每个月拿着不到两千块的工资勉强活着，但他的女朋友李冉却每个月可以拿四千的固定工资，而且刚刚发放的年底奖金，她竟然拿了十五万！这样折合起来她一个月接近一万七八千的薪水了，是楚飞的十倍！
这就是差距
###第二章 发光的残破青铜壶
所以兜兜转转一圈之后，终于还是回到了原点么？

现在承受着楚飞凶猛冲刺的不是他以为这辈子最爱的女人李冉，而是前女友张倩，一个对性爱无比热情无比投入的女人，偏偏也只有她这样的女人才能让楚飞玩的尽兴，玩的爽快，这还真是一件很搞笑的事情。因为在张倩身上楚飞可以不用压抑自己，更不用委屈自己，他想用什么姿势玩都行，想用多大的力道都行，甚至……想射在她身体上的任何位置都没问题！

而在李冉身上，这一切永远只是奢望。

###第三章 吃不饱的恐怖怪物
楚飞先回宿舍去洗了个澡，然后收拾了一下自己的东西，准备踏踏实实的定下心干活。
###第四章 妹是用来调教的
楚飞真的愕住了，是真的。
他从没有想过，那个自小时候就喜欢粘着他不停问问题的丫头，每次被他逗几句就会脸红心跳的诗诗丫头，来了深圳四年之后，却已经变成了这样……时间果然是一把残忍的杀猪刀，而现实也最是无情的恶魔，多少的美好都已经随风彻底的逝去。
轻轻的走上去，楚飞在何诗诗的屁股上轻轻拍了拍，然后帮她拉起了内裤，“诗诗，我不是要跟你……”
###第五章 男人应该胸有成竹
发泄过后的男人总会有一阵空虚感，不过看着表妹把自己爆发出的东西一点不剩的全都吞了下去，楚飞突然却又觉得很有一种成就感。
她……是我表妹呀！！
EOT;
        $file = UploadedFile::fake()->createWithContent("美女养成师.txt",$content);
        $response = $this->postJson("api/contentManage/book/import",[
            'cp_id'=>1,
            'cp_name'=>'Testcp01111',
            'book_name'=>'美女养成师师',
            'author'=>'小林',
            'channel'=>1,
            'category_id'=>21,
            'category_name'=>'武侠仙侠',
            'vip_start'=>4,
            'file'=>$file
        ]);
        print_r(json_decode($response->getContent(),1));   
        $response->assertStatus(200);
    }


    public function test_create_book(): void
    {
        $path = 'book/NqpYgFL6yddDPSOnAwhIihk0DRjO7hEbOY3geJ6s.txt';
        $response = $this->postJson("api/contentManage/book/createBook",[
            'cp_id'=>1,
            'cp_name'=>'Testcp01111',
            'book_name'=>'美女养成的师师',
            'author'=>'小林',
            'channel'=>1,
            'category_id'=>21,
            'category_name'=>'武侠仙侠',
            'vip_start'=>4,
            'path'=>$path
        ]);
        print_r(json_decode($response->getContent(),1));   
        $response->assertStatus(200);
    }

    
    private $token;
    protected function setUp(): void
    {
        parent::setUp(); // TODO: Change the autogenerated stub
        $tokenInfo = $this->post('http://localhost/api/login', [
            'email' => 'catch@admin.com',
            'password' => 'catchadmin',
            'remember' => false
        ])->json();
        $this->token = $tokenInfo['data']['token'];
    }


    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get', 'http://localhost/api/contentManage/book/list?is_export=1');
        $res->dump();
    }
}
