<?php

namespace Tests\ContentManage\Http\Controllers;

use Modules\ContentManage\Http\Controllers\CpSubscribeStatisticDataController;
use PHPUnit\Framework\TestCase;

class CpSubscribeStatisticDataControllerTest extends \Tests\UsedTestCase
{
    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/contentManage/cp/subscribeStatisticData/list?'.http_build_query([
                'limit' => 15, 'page' => 1, 'book_name' => '小溪村的诱惑',
                'cp_name' => 'quyuewang'
            ]));
        dump(\json_encode($res->json()));
        $res->dump();
    }

    public function testlistStatistic()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/contentManage/cp/subscribeStatisticData/listStatistic?');
        dump(\json_encode($res->json()));
        $res->dump();
    }

    public function testMonthList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/contentManage/cp/subscribeStatisticData/monthList?'.http_build_query([
                'limit' => 15, 'page' => 1 , 'month' => '2022-07', 'cp_name' => 'Testcp01111'
            ]));
        dump(\json_encode($res->json()));
        $res->dump();
    }

    public function testSaveFinalState() {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/contentManage/cp/subscribeStatisticData/saveFinalState', [
            'id' => 1, 'final_state' => 'done'
        ]);
        dump(\json_encode($res->json()));
        $res->dump();
    }

    public function testlistCpBooksMonthFinalAmount() {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/contentManage/cp/subscribeStatisticData/listCpMonthFinalAmount?'.http_build_query([
                'cp_name' => '1221', 'month' => '2023-03'
            ]));

        $this->dumpJson($res);
    }

}
